LocalTransactionCommand (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.service.impl.LocalTransactionCommand class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service.impl
Class LocalTransactionCommand

    java.lang.Object
      org.codehaus.activemq.service.impl.AbstractTransaction
          org.codehaus.activemq.service.impl.LocalTransactionCommand

All Implemented Interfaces:
  Externalizable, Serializable, Transaction

public class LocalTransactionCommand
extends AbstractTransaction

Version:
  $Revision: 1.1 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.codehaus.activemq.service.impl.AbstractTransaction
`FINISHED_STATE, IN_USE_STATE, PREPARED_STATE, START_STATE`

Constructor Summary
`LocalTransactionCommand(Broker broker, Map localTxs, Object txid)`

Method Summary
`void` | `commit(boolean onePhase)`
`int` | `prepare()`
`void` | `rollback()`

Methods inherited from class org.codehaus.activemq.service.impl.AbstractTransaction
`addPostCommitTask, addPostRollbackTask, addPrePrepareTask, getBroker, getState, postCommit, postRollback, prePrepare, readExternal, readTask, readTaskList, setBroker, setState, toString, writeExternal, writeTask, writeTaskList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocalTransactionCommand

    public LocalTransactionCommand(Broker broker,
                                   Map localTxs,
                                   Object txid)

Method Detail

### commit

    public void commit(boolean onePhase)
                throws XAException

  Throws:
    `XAException`

### rollback

    public void rollback()
                  throws XAException

  Throws:
    `XAException`

### prepare

    public int prepare()
                throws XAException

  Throws:
    `XAException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.